<template>
  <section class="container">
    <div>
      <input type="checkbox" v-model="accept">
    </div>
    <p>Aceito os <nuxt-link to="/termos">termos de uso</nuxt-link> dos armários do CAMat</p>
  </section>
</template>

<script>
export default {
  computed: {
    accept: {
      get() {
        return this.$store.getters.reserveData.acceptTerms;
      },
      set(value) {
        this.$store.commit('setReserveAcceptance', value);
      }
    }
  }
}
</script>

<style scoped>
.container {
  display: grid;
  grid-template-areas:
  "chk lbl lbl";

  width: 100%;
}

.container > div {
  grid-area: chk;
}

.container > p {
  grid-area: lbl;
}
</style>
